complexType "CreditEventNotification"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-credit-event-notification-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, isCorrection?, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, creditEventNotice?, party*
</...>

Content Model Elements (9):

  correlationId,
  creditEventNotice (in creditEventNotification),
  header (defined in RequestMessage complexType),
  isCorrection (defined in CorrectableRequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (in creditEventNotification),
  sequenceNumber (defined in Sequence.model group),
  validation

All Direct / Indirect Based Elements (1):

  creditEventNotification

Known Usage Locations

- As direct type of elements (1):
  creditEventNotification

Annotation
A message type defining the ISDA defined Credit Event Notice. ISDA defines it as an irrevocable notice from a Notifying Party to the other party that describes a Credit Event that occurred. A Credit Event Notice must contain detail of the facts relevant to the determination that a Credit Event has occurred.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage (extension) CreditEventNotification

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="CreditEventNotification"> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNoticeDocument"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/9)
creditEventNotice

  Type: | CreditEventNoticeDocument, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNoticeDocument"/>

party

  Type: | Party, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.